igeo.io

## Class IRhino3dm.UnitSystem

- java.lang.Object
- - igeo.io.IRhino3dm.UnitSystem

- Enclosing class:
    IRhino3dm

      public static class IRhino3dm.UnitSystem
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `angstroms`
    `static java.lang.String` | `angstroms_name`
    `static double` | `angstroms_scale`
    `static int` | `astronomical`
    `static java.lang.String` | `astronomical_name`
    `static double` | `astronomical_scale`
    `static int` | `centimeters`
    `static java.lang.String` | `centimeters_name`
    `static double` | `centimeters_scale`
    `static int` | `custom_unit_system`
    `static java.lang.String` | `custom_unit_system_name`
    `static double` | `custom_unit_system_scale`
    `java.lang.String` | `customUnitName`
    `double` | `customUnitScale`
    `static int` | `decimeters`
    `static java.lang.String` | `decimeters_name`
    `static double` | `decimeters_scale`
    `static int` | `dekameters`
    `static java.lang.String` | `dekameters_name`
    `static double` | `dekameters_scale`
    `static int` | `feet`
    `static java.lang.String` | `feet_name`
    `static double` | `feet_scale`
    `static int` | `gigameters`
    `static java.lang.String` | `gigameters_name`
    `static double` | `gigameters_scale`
    `static int` | `hectometers`
    `static java.lang.String` | `hectometers_name`
    `static double` | `hectometers_scale`
    `static int` | `inches`
    `static java.lang.String` | `inches_name`
    `static double` | `inches_scale`
    `static int` | `kilometers`
    `static java.lang.String` | `kilometers_name`
    `static double` | `kilometers_scale`
    `static int` | `lightyears`
    `static java.lang.String` | `lightyears_name`
    `static double` | `lightyears_scale`
    `static int` | `megameters`
    `static java.lang.String` | `megameters_name`
    `static double` | `megameters_scale`
    `static int` | `meters`
    `static java.lang.String` | `meters_name`
    `static double` | `meters_scale`
    `static int` | `microinches`
    `static java.lang.String` | `microinches_name`
    `static double` | `microinches_scale`
    `static int` | `microns`
    `static java.lang.String` | `microns_name`
    `static double` | `microns_scale`
    `static int` | `miles`
    `static java.lang.String` | `miles_name`
    `static double` | `miles_scale`
    `static int` | `millimeters`
    `static java.lang.String` | `millimeters_name`
    `static double` | `millimeters_scale`
    `static int` | `mils`
    `static java.lang.String` | `mils_name`
    `static double` | `mils_scale`
    `static int` | `nanometers`
    `static java.lang.String` | `nanometers_name`
    `static double` | `nanometers_scale`
    `static int` | `nautical_mile`
    `static java.lang.String` | `nautical_mile_name`
    `static double` | `nautical_mile_scale`
    `static int` | `no_unit_system` unit types (int)
    `static java.lang.String` | `no_unit_system_name` unit name
    `static double` | `no_unit_system_scale` unit scale
    `static int` | `parsecs`
    `static java.lang.String` | `parsecs_name`
    `static double` | `parsecs_scale`
    `static int` | `printer_pica`
    `static java.lang.String` | `printer_pica_name`
    `static double` | `printer_pica_scale`
    `static int` | `printer_point`
    `static java.lang.String` | `printer_point_name`
    `static double` | `printer_point_scale`
    `int` | `unitSystem`
    `static int` | `yards`
    `static java.lang.String` | `yards_name`
    `static double` | `yards_scale`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnitSystem()`
    `UnitSystem(int unit_sys)`
    `UnitSystem(IUnit unit)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IUnit.Type` | `getIUnitType()`
    `static IUnit.Type` | `getIUnitType(int type)`
    `static java.lang.String` | `getName(int unitType)`
    `static double` | `getScale(int unitType)`
    `static int` | `getType(IUnit unit)`
    `void` | `read(IRhino3dm.Rhino3dmFile context, java.io.InputStream is)`
    `java.lang.String` | `toString()`
    `void` | `write(IRhino3dm.Rhino3dmFile context, java.io.OutputStream os, java.util.zip.CRC32 crc)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### no_unit_system

          public static final int no_unit_system

      unit types (int)
      See Also:
        Constant Field Values

    - #### angstroms

          public static final int angstroms

      See Also:
        Constant Field Values

    - #### nanometers

          public static final int nanometers

      See Also:
        Constant Field Values

    - #### microns

          public static final int microns

      See Also:
        Constant Field Values

    - #### millimeters

          public static final int millimeters

      See Also:
        Constant Field Values

    - #### centimeters

          public static final int centimeters

      See Also:
        Constant Field Values

    - #### decimeters

          public static final int decimeters

      See Also:
        Constant Field Values

    - #### meters

          public static final int meters

      See Also:
        Constant Field Values

    - #### dekameters

          public static final int dekameters

      See Also:
        Constant Field Values

    - #### hectometers

          public static final int hectometers

      See Also:
        Constant Field Values

    - #### kilometers

          public static final int kilometers

      See Also:
        Constant Field Values

    - #### megameters

          public static final int megameters

      See Also:
        Constant Field Values

    - #### gigameters

          public static final int gigameters

      See Also:
        Constant Field Values

    - #### microinches

          public static final int microinches

      See Also:
        Constant Field Values

    - #### mils

          public static final int mils

      See Also:
        Constant Field Values

    - #### inches

          public static final int inches

      See Also:
        Constant Field Values

    - #### feet

          public static final int feet

      See Also:
        Constant Field Values

    - #### yards

          public static final int yards

      See Also:
        Constant Field Values

    - #### miles

          public static final int miles

      See Also:
        Constant Field Values

    - #### printer_point

          public static final int printer_point

      See Also:
        Constant Field Values

    - #### printer_pica

          public static final int printer_pica

      See Also:
        Constant Field Values

    - #### nautical_mile

          public static final int nautical_mile

      See Also:
        Constant Field Values

    - #### astronomical

          public static final int astronomical

      See Also:
        Constant Field Values

    - #### lightyears

          public static final int lightyears

      See Also:
        Constant Field Values

    - #### parsecs

          public static final int parsecs

      See Also:
        Constant Field Values

    - #### custom_unit_system

          public static final int custom_unit_system

      See Also:
        Constant Field Values

    - #### no_unit_system_scale

          public static final double no_unit_system_scale

      unit scale
      See Also:
        Constant Field Values

    - #### angstroms_scale

          public static final double angstroms_scale

      See Also:
        Constant Field Values

    - #### nanometers_scale

          public static final double nanometers_scale

      See Also:
        Constant Field Values

    - #### microns_scale

          public static final double microns_scale

      See Also:
        Constant Field Values

    - #### millimeters_scale

          public static final double millimeters_scale

      See Also:
        Constant Field Values

    - #### centimeters_scale

          public static final double centimeters_scale

      See Also:
        Constant Field Values

    - #### decimeters_scale

          public static final double decimeters_scale

      See Also:
        Constant Field Values

    - #### meters_scale

          public static final double meters_scale

      See Also:
        Constant Field Values

    - #### dekameters_scale

          public static final double dekameters_scale

      See Also:
        Constant Field Values

    - #### hectometers_scale

          public static final double hectometers_scale

      See Also:
        Constant Field Values

    - #### kilometers_scale

          public static final double kilometers_scale

      See Also:
        Constant Field Values

    - #### megameters_scale

          public static final double megameters_scale

      See Also:
        Constant Field Values

    - #### gigameters_scale

          public static final double gigameters_scale

      See Also:
        Constant Field Values

    - #### microinches_scale

          public static final double microinches_scale

      See Also:
        Constant Field Values

    - #### mils_scale

          public static final double mils_scale

      See Also:
        Constant Field Values

    - #### inches_scale

          public static final double inches_scale

      See Also:
        Constant Field Values

    - #### feet_scale

          public static final double feet_scale

      See Also:
        Constant Field Values

    - #### yards_scale

          public static final double yards_scale

      See Also:
        Constant Field Values

    - #### miles_scale

          public static final double miles_scale

      See Also:
        Constant Field Values

    - #### printer_point_scale

          public static final double printer_point_scale

      See Also:
        Constant Field Values

    - #### printer_pica_scale

          public static final double printer_pica_scale

      See Also:
        Constant Field Values

    - #### nautical_mile_scale

          public static final double nautical_mile_scale

      See Also:
        Constant Field Values

    - #### astronomical_scale

          public static final double astronomical_scale

      See Also:
        Constant Field Values

    - #### lightyears_scale

          public static final double lightyears_scale

      See Also:
        Constant Field Values

    - #### parsecs_scale

          public static final double parsecs_scale

      See Also:
        Constant Field Values

    - #### custom_unit_system_scale

          public static final double custom_unit_system_scale

      See Also:
        Constant Field Values

    - #### no_unit_system_name

          public static final java.lang.String no_unit_system_name

      unit name
      See Also:
        Constant Field Values

    - #### angstroms_name

          public static final java.lang.String angstroms_name

      See Also:
        Constant Field Values

    - #### nanometers_name

          public static final java.lang.String nanometers_name

      See Also:
        Constant Field Values

    - #### microns_name

          public static final java.lang.String microns_name

      See Also:
        Constant Field Values

    - #### millimeters_name

          public static final java.lang.String millimeters_name

      See Also:
        Constant Field Values

    - #### centimeters_name

          public static final java.lang.String centimeters_name

      See Also:
        Constant Field Values

    - #### decimeters_name

          public static final java.lang.String decimeters_name

      See Also:
        Constant Field Values

    - #### meters_name

          public static final java.lang.String meters_name

      See Also:
        Constant Field Values

    - #### dekameters_name

          public static final java.lang.String dekameters_name

      See Also:
        Constant Field Values

    - #### hectometers_name

          public static final java.lang.String hectometers_name

      See Also:
        Constant Field Values

    - #### kilometers_name

          public static final java.lang.String kilometers_name

      See Also:
        Constant Field Values

    - #### megameters_name

          public static final java.lang.String megameters_name

      See Also:
        Constant Field Values

    - #### gigameters_name

          public static final java.lang.String gigameters_name

      See Also:
        Constant Field Values

    - #### microinches_name

          public static final java.lang.String microinches_name

      See Also:
        Constant Field Values

    - #### mils_name

          public static final java.lang.String mils_name

      See Also:
        Constant Field Values

    - #### inches_name

          public static final java.lang.String inches_name

      See Also:
        Constant Field Values

    - #### feet_name

          public static final java.lang.String feet_name

      See Also:
        Constant Field Values

    - #### yards_name

          public static final java.lang.String yards_name

      See Also:
        Constant Field Values

    - #### miles_name

          public static final java.lang.String miles_name

      See Also:
        Constant Field Values

    - #### printer_point_name

          public static final java.lang.String printer_point_name

      See Also:
        Constant Field Values

    - #### printer_pica_name

          public static final java.lang.String printer_pica_name

      See Also:
        Constant Field Values

    - #### nautical_mile_name

          public static final java.lang.String nautical_mile_name

      See Also:
        Constant Field Values

    - #### astronomical_name

          public static final java.lang.String astronomical_name

      See Also:
        Constant Field Values

    - #### lightyears_name

          public static final java.lang.String lightyears_name

      See Also:
        Constant Field Values

    - #### parsecs_name

          public static final java.lang.String parsecs_name

      See Also:
        Constant Field Values

    - #### custom_unit_system_name

          public static final java.lang.String custom_unit_system_name

      See Also:
        Constant Field Values

    - #### unitSystem

          public int unitSystem

    - #### customUnitScale

          public double customUnitScale

    - #### customUnitName

          public java.lang.String customUnitName

  - ### Constructor Detail

    - #### UnitSystem

          public UnitSystem()

    - #### UnitSystem

          public UnitSystem(int unit_sys)

    - #### UnitSystem

          public UnitSystem(IUnit unit)

  - ### Method Detail

    - #### getName

          public static java.lang.String getName(int unitType)

    - #### getScale

          public static double getScale(int unitType)

    - #### getType

          public static int getType(IUnit unit)

    - #### getIUnitType

          public static IUnit.Type getIUnitType(int type)

    - #### getIUnitType

          public IUnit.Type getIUnitType()

    - #### read

          public void read(IRhino3dm.Rhino3dmFile context,
                           java.io.InputStream is)
                    throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### write

          public void write(IRhino3dm.Rhino3dmFile context,
                            java.io.OutputStream os,
                            java.util.zip.CRC32 crc)
                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`